### Method

# Secret Service search_for_dbus_paths_finish

#### Declaration [src]

    gboolean
    secret_service_search_for_dbus_paths_finish (
      SecretService* self,
      GAsyncResult* result,
      gchar*** unlocked,
      gchar*** locked,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to search for items, and return their D-Bus object paths.

Matching items that are locked or unlocked, have their D-Bus paths placed in the `locked` or `unlocked` arrays respectively.

D-Bus object paths of the items will be returned in the `unlocked` or `locked` arrays. If you would to have `SecretItem` objects to be returned instead, then us the `secret_service_search()` and `secret_service_search_finish()` functions.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the method.

`unlocked`

  Type: An array of `gchar**`

  location to place an array of D-Bus object paths for matching items which were locked.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`locked`

  Type: An array of `gchar**`

  location to place an array of D-Bus object paths for matching items which were locked.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the search was successful or not.